Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 292630

Summary: Problem emerging sci-mathematics/coq-8.2_p1-r1
Product: Gentoo Linux Reporter: Pierre <pierre42d>
Component: New packagesAssignee: Gentoo Science Related Packages <sci>
Status: VERIFIED FIXED    
Severity: normal CC: ml
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Build log file

Description Pierre 2009-11-10 02:28:29 UTC
[...]
./RecTutorial.tex:3449: Warning: Undefined citation: 'EG95a'
Fixpoint reached in 2 step(s)
(cd doc/RecTutorial;\
	latex -interaction=batchmode RecTutorial;\
	BIBINPUTS=.: bibtex -min-crossrefs=10 -terse RecTutorial;\
	latex -interaction=batchmode RecTutorial > /dev/null;\
	latex -interaction=batchmode RecTutorial > /dev/null;\
	../tools/show_latex_messages RecTutorial.log)
This is pdfTeXk, Version 3.1415926-1.40.9 (Web2C 7.5.7)
 %&-line parsing enabled.
entering extended mode
I couldn't open file name `RecTutorial.aux'
! LaTeX Error: File `epic.sty' not found. (file RecTutorial.tex)

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)

Enter file name:
! Emergency stop. (file RecTutorial.tex)
<read *>

l.33 \usepackage
{eepic}^^M
RecTutorial.haux RecTutorial.html RecTutorial.htoc RecTutorial.log RecTutorial.tex RecTutorial.v coqartmacros.tex manbiblio.bib morebib.bib recmacros.tex (cannot \read from terminal in nonstop modes)


Here is how much of TeX's memory you used:
1972 strings out of 50070
21380 string characters out of 433056
69326 words of memory out of 1100000
5153 multiletter control sequences out of 10000+15000
4709 words of font info for 16 fonts, out of 400000 for 5000
28 hyphenation exceptions out of 8191
32i,0n,24p,223b,37s stack positions out of 1500i,500n,1500p,200000b,5000s
No pages of output.

make[1]: *** [doc/RecTutorial/RecTutorial.dvi] Error 1
make[1]: Leaving directory `/var/tmp/portage/sci-mathematics/coq-8.2_p1-r1/work/coq-8.2pl1'
make: *** [world] Error 2
Comment 1 Pierre 2009-11-10 02:30:11 UTC
Created attachment 209799 [details]
Build log file
Comment 2 Pierre 2009-11-10 02:35:57 UTC
# LC_ALL=C emerge --info
Portage 2.1.6.13 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 09 Nov 2009 23:15:02 +0000
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/ "
LANG="fr_FR.UTF-8"
LC_ALL="C"
LDFLAGS="-Wl,-O1"
LINGUAS="fr en de nl"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi aim alsa amd64 ao apache2 arts audiofile avahi bash-completion bcmath berkdb blas bluetooth branding bzip2 cairo calendar cddb cdparanoia cdr cli consolekit cracklib crypt css ctype cups curl cxx dbus dbx dga directfb doc dri dts dvd dvdr dvdread eds emacs emboss encode esd evo exif expat fam fbcon ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gcj gd gdbm geoip ggi gif gimp gmp gnome gnutls gpm gsl gstreamer gtk hal hddtemp iconv icq icu idn imagemagick imap imlib innodb ipv6 jabber jack javascript jbig jingle jpeg jpeg2k kde kerberos kolab krb4 ladspa lame lash latex lcms ldap libcaca libnotify libsamplerate libwww lirc lm_sensors lzo mad maildir matroska mbox mhash mikmod mime mmx mng modplug modules motif mozilla mp3 mp4 mpeg mplayer msn mudflap multilib musepack musicbrainz mysql mysqli nas ncurses nls nntp nptl nptlonly nsplugin odbc ogg openal opengl openmp osc oscar pam pcmcia pcre pda pdf perl php plotutils png portaudio posix postgres ppds pppd pulseaudio python qt3 qt3support qt4 quicktime raw readline recode reflection rss samba sasl scanner sdl session sharedext sharedmem shorten simplexml sndfile sockets sox speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg symlink sysfs syslog sysvipc szip taglib tcl tcpd theora threads thunar tidy tiff timidity tk truetype unicode usb vhosts vorbis wavpack wifi wmf wxwindows x264 xcb xcomposite xft xine xml xorg xosd xpm xprint xscreensaver xsl xulrunner xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr en de nl" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 3 Markus Dittrich (RETIRED) gentoo-dev 2009-11-13 02:46:29 UTC
Hi Pierre,

Looks like your missing epic.sty which is part of

dev-texlive/texlive-pictures

Please try emerging it and see if coq compiles then.
We might need it as an additional dependency.

Best,
Markus
Comment 4 Pierre 2009-11-14 04:28:13 UTC
Yes this seems to fix the problem, coq emerged fine now.
Comment 5 S├ębastien Fabbro (RETIRED) gentoo-dev 2010-01-20 19:50:50 UTC
Fixed in cvs. xcolor.sty from dev-tex/xcolor was also missing.